using Amazon.Lambda.Core;
using HandlingNumbersAsStringsInJson;

// Assembly attribute to enable the Lambda function's JSON input to be converted into a .NET class.
[assembly: LambdaSerializer(typeof(NumbersAsStringsSerializer))]

namespace HandlingNumbersAsStringsInJson;

public class Function
{
    public string FunctionHandler(Car input, ILambdaContext context)
    {
        return input.ToString();
    }
}

public class Car
{
    public string Make { get; set; }
    public string Model { get; set; }
    public int Year { get; set; }

    public override string ToString()
    {
        return $"Your car is a {Make} {Model}, made in {Year}.";
    }
}
